Send a test notification
Send a test notification through the selected delivery channel. Platform admin access required.
Send a test notification through the selected delivery channel. Platform admin access required.
__Secure-guidelab-prod.session_token<token>
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/admin/notifications/test" \ -H "Content-Type: application/json" \ -d '{ "eventType": "order.status_changed", "channel": "email", "data": { "title": "string", "body": "string", "property1": null, "property2": null }, "recipient": "string" }'{ "success": true}Empty
Empty
Empty
Empty
Set admin viewing organization POST
Set a cookie to impersonate/view a specific organization's data. Used by platform admins to inspect organization dashboards. Platform admin access required.
Update an organization PUT
Update organization fields (name, slug, type, contact info, etc.). Platform admin access required.